ssclient

## Class SiGMLSignClient

- java.lang.Object
- - ssclient.SiGMLSignClient

-     public class SiGMLSignClient
      extends java.lang.Object

  Main class for an application which acts as a client for a SiGML animation service, as well as allowing SiGML files on the local system to be browsed and edited.

  #### Change Log ####

  2010-01-05 - Switch to UTF-8 as the default encoding. And on output, whether to file or to the SiGML service player use the encoding explicitly specified in in the SiGML text if there is one.

  2009-05 - Improved undo/redo; more forgiving save-on-close regime.

  2008-12-09 - This app now has a preferences node, held alongside the nodes for JASigning apps. To support the identification of this node the current JASigning version string should be passed as the sole command line argument. The preferences node is used to record the current SiGML folder. When the app starts up, if the SiGML folder cannot be determined from the preferences then the app attempts to obtain the folder by displaying a file chooser dialog.

  2006-05-05 - Introduction of "Convert SiGML" checkbox: switching this OFF allows raw SiGML to be loaded into the display window, to be edited there, and to be dispatched to the player.

  2006-05-04 - Minor adjustments to GUI component sizes, spacing, font-sizes, to improve their appearance on Mac OS X. - Attempt to find a suitable starting directory both on Windows and on Mac OS X.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATE` Date string for current version.
    `static java.lang.String` | `JA_REMOTE_BASE_KEY`
    `static java.lang.String` | `JA_REMOTE_BASE_STEM`
    `java.lang.String` | `JA_VERSION`
    `java.lang.String` | `JA_VERSION_TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLSignClient(java.lang.String javersion)` Starts the client, using the given JASigning version string, and targetted on the standard port on the local host.
    `SiGMLSignClient(java.lang.String javersion, java.lang.String srvr)` Starts the client, using the given JASigning version string, and targetted on the standard port on the given server.
    `SiGMLSignClient(java.lang.String javersion, java.lang.String srvr, int port)` Starts the client, using the given JASigning version string, and targetted on the given port on the given server.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Properties` | `argsToProperties(java.lang.String[] args)`
    `static void` | `main(java.lang.String[] args)` Main method: launches the SiGML Client app; ignores arguments.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATE

          public static final java.lang.String DATE

      Date string for current version.
      See Also:
        Constant Field Values

    - #### JA_REMOTE_BASE_KEY

          public static final java.lang.String JA_REMOTE_BASE_KEY

      See Also:
        Constant Field Values

    - #### JA_REMOTE_BASE_STEM

          public static final java.lang.String JA_REMOTE_BASE_STEM

      See Also:
        Constant Field Values

    - #### JA_VERSION

          public final java.lang.String JA_VERSION

    - #### JA_VERSION_TAG

          public final java.lang.String JA_VERSION_TAG

  - ### Constructor Detail

    - #### SiGMLSignClient

          public SiGMLSignClient(java.lang.String javersion)

      Starts the client, using the given JASigning version string, and targetted on the standard port on the local host.

    - #### SiGMLSignClient

          public SiGMLSignClient(java.lang.String javersion,
                                 java.lang.String srvr)

      Starts the client, using the given JASigning version string, and targetted on the standard port on the given server.

    - #### SiGMLSignClient

          public SiGMLSignClient(java.lang.String javersion,
                                 java.lang.String srvr,
                                 int port)

      Starts the client, using the given JASigning version string, and targetted on the given port on the given server.

  - ### Method Detail

    - #### argsToProperties

          public static java.util.Properties argsToProperties(java.lang.String[] args)

    - #### main

          public static void main(java.lang.String[] args)

      Main method: launches the SiGML Client app; ignores arguments.